This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 186533 - sata_promise mount no such device or address
sata_promise mount no such device or address
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-23 22:31 EST by Arek Szmuc
Modified: 2008-01-19 23:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:39:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Arek Szmuc 2006-03-23 22:31:40 EST
Description of problem:
In instalation process fedora cannot mount any partition from sata drive (sda2)
After installation on ide drive Fedora 5 still does not mount partition
on sata drive (sda2).

Version-Release number of selected component (if applicable):
Fedora Core (2.6.15-1.2054_FC5)

How reproducible:
Try update FC4 installed on sata drive/promise.
In instalation process fedora cannot mount any partition from sata drive (sda2)
I had message:
Error mounting device sda2 as /: No such device or address
This most likely means this partition has not been formated (what is not true)

instalator see the drive as /dev/mapper/pdc_igjghcjhp2

I updated/installed FC5 on ide drive and then tried mount the same patrition.
I recived almost the same massage, this time said only no such address.

Version-Release number of selected component (if applicable):
Fedora Core (2.6.15-1.2054_FC5)

Steps to Reproduce:
1. Use default kernel installed with FC5
2. Try mount any partition previously normaly mounted on sata drive
  
Actual results:
No such device or address.

Expected results:
mounted without problems

Additional info:
I think it is related to kernel because I had my own kernel 2.6.15.6 
compiled on Fedora 4 and such problem does not occur.
Partition is just mounted I can read write without any problems.
Comment 1 Dave Jones 2006-10-16 14:15:55 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Jon Stanley 2008-01-19 23:39:19 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.